set echo on
* ------------------------------------------------------------------
*
*  This makefile will build C XCMDs for HyperTalk
*
*  Copyright Apple Computer, Inc.  1991
*  All Rights Reserved.
*

*  Builds:  CBeep

*  This makefile depends on a .r file called CBeep.r to act
*  as a source for the resource compiler.

compile +t +e CBeep.c keep=CBeep

* ------------------------------------------------------------------
*
*  The compilers will output 3 or more segments:  main, containing code;
*  and ~globals and ~arrays containing data.  This line ensures that
*  everything gets put back into the main segment.
*
*  In addition, it specifically links the EntryPoint procedure FIRST,
*  ahead of any globals or data structures.
*
*

* The linker line is very long - make sure you see all of it

linkiigs -x -lseg main CBeep.root(@EntrySeg) CBeep.root(@Main) CBeep.root(@~arrays) CBeep.root(@~globals) 2/CLib -lib 2/CLib -o CBeep.omf

compile CBeep.r keep=CBeep.rsrc

* now use your favorite resource utility to copy the XCMD from CBeep.rsrc
* into your stack
